/* JFox, the OpenSource J2EE Application Server
 *
 * Copyright (C) 2002 huihoo.com
 * Distributable under GNU LGPL license
 * See the GNU Lesser General Public License for more details.
 */

package org.huihoo.jfox.pool.thread;

import org.huihoo.jfox.pool.ObjectFactorySupport;
import org.huihoo.jfox.pool.PoolableObject;

/**
 * override the ObjectFactorySupport.destroyObject method
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class ThreadableObjectFactory extends ObjectFactorySupport{
  public ThreadableObjectFactory(Class classType) throws Exception {
    super(classType);
  }

  public void destroyObject(PoolableObject object) throws Exception {
    object.notifyAll();
    super.destroyObject(object);
  }
}
